<?php
$tdatastockin = array();
$tdatastockin[".searchableFields"] = array();
$tdatastockin[".ShortName"] = "stockin";
$tdatastockin[".OwnerID"] = "";
$tdatastockin[".OriginalTable"] = "stockin";


$tdatastockin[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastockin[".originalPagesByType"] = $tdatastockin[".pagesByType"];
$tdatastockin[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastockin[".originalPages"] = $tdatastockin[".pages"];
$tdatastockin[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastockin[".originalDefaultPages"] = $tdatastockin[".defaultPages"];

//	field labels
$fieldLabelsstockin = array();
$fieldToolTipsstockin = array();
$pageTitlesstockin = array();
$placeHoldersstockin = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstockin["English"] = array();
	$fieldToolTipsstockin["English"] = array();
	$placeHoldersstockin["English"] = array();
	$pageTitlesstockin["English"] = array();
	$fieldLabelsstockin["English"]["StockID"] = "Stock ID";
	$fieldToolTipsstockin["English"]["StockID"] = "";
	$placeHoldersstockin["English"]["StockID"] = "";
	$fieldLabelsstockin["English"]["SupplierID"] = "Supplier ID";
	$fieldToolTipsstockin["English"]["SupplierID"] = "";
	$placeHoldersstockin["English"]["SupplierID"] = "";
	$fieldLabelsstockin["English"]["DateIn"] = "Date In";
	$fieldToolTipsstockin["English"]["DateIn"] = "";
	$placeHoldersstockin["English"]["DateIn"] = "";
	$fieldLabelsstockin["English"]["Totalprice"] = "Totalprice";
	$fieldToolTipsstockin["English"]["Totalprice"] = "";
	$placeHoldersstockin["English"]["Totalprice"] = "";
	$fieldLabelsstockin["English"]["UserID"] = "User ID";
	$fieldToolTipsstockin["English"]["UserID"] = "";
	$placeHoldersstockin["English"]["UserID"] = "";
	$fieldLabelsstockin["English"]["Noted"] = "Noted";
	$fieldToolTipsstockin["English"]["Noted"] = "";
	$placeHoldersstockin["English"]["Noted"] = "";
	if (count($fieldToolTipsstockin["English"]))
		$tdatastockin[".isUseToolTips"] = true;
}


	$tdatastockin[".NCSearch"] = true;



$tdatastockin[".shortTableName"] = "stockin";
$tdatastockin[".nSecOptions"] = 0;

$tdatastockin[".mainTableOwnerID"] = "";
$tdatastockin[".entityType"] = 0;
$tdatastockin[".connId"] = "eflejob_at_localhost";


$tdatastockin[".strOriginalTableName"] = "stockin";

	



$tdatastockin[".showAddInPopup"] = false;

$tdatastockin[".showEditInPopup"] = false;

$tdatastockin[".showViewInPopup"] = false;

	$tdatastockin[".listAjax"] = true;
//	temporary
//$tdatastockin[".listAjax"] = false;

	$tdatastockin[".audit"] = false;

	$tdatastockin[".locking"] = false;


$pages = $tdatastockin[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastockin[".edit"] = true;
	$tdatastockin[".afterEditAction"] = 1;
	$tdatastockin[".closePopupAfterEdit"] = 1;
	$tdatastockin[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastockin[".add"] = true;
$tdatastockin[".afterAddAction"] = 1;
$tdatastockin[".closePopupAfterAdd"] = 1;
$tdatastockin[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastockin[".list"] = true;
}



$tdatastockin[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastockin[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastockin[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastockin[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastockin[".printFriendly"] = true;
}



$tdatastockin[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastockin[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastockin[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastockin[".isUseAjaxSuggest"] = true;



			

$tdatastockin[".ajaxCodeSnippetAdded"] = false;

$tdatastockin[".buttonsAdded"] = false;

$tdatastockin[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastockin[".isUseTimeForSearch"] = false;


$tdatastockin[".badgeColor"] = "BC8F8F";


$tdatastockin[".allSearchFields"] = array();
$tdatastockin[".filterFields"] = array();
$tdatastockin[".requiredSearchFields"] = array();

$tdatastockin[".googleLikeFields"] = array();
$tdatastockin[".googleLikeFields"][] = "StockID";
$tdatastockin[".googleLikeFields"][] = "SupplierID";
$tdatastockin[".googleLikeFields"][] = "DateIn";
$tdatastockin[".googleLikeFields"][] = "Totalprice";
$tdatastockin[".googleLikeFields"][] = "UserID";
$tdatastockin[".googleLikeFields"][] = "Noted";



$tdatastockin[".tableType"] = "list";

$tdatastockin[".printerPageOrientation"] = 0;
$tdatastockin[".nPrinterPageScale"] = 100;

$tdatastockin[".nPrinterSplitRecords"] = 40;

$tdatastockin[".geocodingEnabled"] = false;










$tdatastockin[".pageSize"] = 20;

$tdatastockin[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatastockin[".strOrderBy"] = $tstrOrderBy;

$tdatastockin[".orderindexes"] = array();


$tdatastockin[".sqlHead"] = "SELECT StockID,  	SupplierID,  	DateIn,  	Totalprice,  	UserID,  	Noted";
$tdatastockin[".sqlFrom"] = "FROM stockin";
$tdatastockin[".sqlWhereExpr"] = "";
$tdatastockin[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastockin[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastockin[".arrGroupsPerPage"] = $arrGPP;

$tdatastockin[".highlightSearchResults"] = true;

$tableKeysstockin = array();
$tableKeysstockin[] = "StockID";
$tdatastockin[".Keys"] = $tableKeysstockin;


$tdatastockin[".hideMobileList"] = array();




//	StockID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "StockID";
	$fdata["GoodName"] = "StockID";
	$fdata["ownerTable"] = "stockin";
	$fdata["Label"] = GetFieldLabel("stockin","StockID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "StockID";

		$fdata["sourceSingle"] = "StockID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockin["StockID"] = $fdata;
		$tdatastockin[".searchableFields"][] = "StockID";
//	SupplierID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "SupplierID";
	$fdata["GoodName"] = "SupplierID";
	$fdata["ownerTable"] = "stockin";
	$fdata["Label"] = GetFieldLabel("stockin","SupplierID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "SupplierID";

		$fdata["sourceSingle"] = "SupplierID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SupplierID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "supplier";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "SupplierID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "BusinessNam";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockin["SupplierID"] = $fdata;
		$tdatastockin[".searchableFields"][] = "SupplierID";
//	DateIn
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "DateIn";
	$fdata["GoodName"] = "DateIn";
	$fdata["ownerTable"] = "stockin";
	$fdata["Label"] = GetFieldLabel("stockin","DateIn");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "DateIn";

		$fdata["sourceSingle"] = "DateIn";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DateIn";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockin["DateIn"] = $fdata;
		$tdatastockin[".searchableFields"][] = "DateIn";
//	Totalprice
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Totalprice";
	$fdata["GoodName"] = "Totalprice";
	$fdata["ownerTable"] = "stockin";
	$fdata["Label"] = GetFieldLabel("stockin","Totalprice");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Totalprice";

		$fdata["sourceSingle"] = "Totalprice";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totalprice";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockin["Totalprice"] = $fdata;
		$tdatastockin[".searchableFields"][] = "Totalprice";
//	UserID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "UserID";
	$fdata["GoodName"] = "UserID";
	$fdata["ownerTable"] = "stockin";
	$fdata["Label"] = GetFieldLabel("stockin","UserID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "UserID";

		$fdata["sourceSingle"] = "UserID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "UserID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockin["UserID"] = $fdata;
		$tdatastockin[".searchableFields"][] = "UserID";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "stockin";
	$fdata["Label"] = GetFieldLabel("stockin","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockin["Noted"] = $fdata;
		$tdatastockin[".searchableFields"][] = "Noted";


$tables_data["stockin"]=&$tdatastockin;
$field_labels["stockin"] = &$fieldLabelsstockin;
$fieldToolTips["stockin"] = &$fieldToolTipsstockin;
$placeHolders["stockin"] = &$placeHoldersstockin;
$page_titles["stockin"] = &$pageTitlesstockin;


changeTextControlsToDate( "stockin" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["stockin"] = array();
//	stockindetail
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="stockindetail";
		$detailsParam["dOriginalTable"] = "stockindetail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "stockindetail";
	$detailsParam["dCaptionTable"] = GetTableCaption("stockindetail");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["stockin"][$dIndex] = $detailsParam;

	
		$detailsTablesData["stockin"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["stockin"][$dIndex]["masterKeys"][]="StockID";

				$detailsTablesData["stockin"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["stockin"][$dIndex]["detailKeys"][]="StockinID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["stockin"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stockin()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "StockID,  	SupplierID,  	DateIn,  	Totalprice,  	UserID,  	Noted";
$proto0["m_strFrom"] = "FROM stockin";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "StockID",
	"m_strTable" => "stockin",
	"m_srcTableName" => "stockin"
));

$proto6["m_sql"] = "StockID";
$proto6["m_srcTableName"] = "stockin";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "SupplierID",
	"m_strTable" => "stockin",
	"m_srcTableName" => "stockin"
));

$proto8["m_sql"] = "SupplierID";
$proto8["m_srcTableName"] = "stockin";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "DateIn",
	"m_strTable" => "stockin",
	"m_srcTableName" => "stockin"
));

$proto10["m_sql"] = "DateIn";
$proto10["m_srcTableName"] = "stockin";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Totalprice",
	"m_strTable" => "stockin",
	"m_srcTableName" => "stockin"
));

$proto12["m_sql"] = "Totalprice";
$proto12["m_srcTableName"] = "stockin";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "UserID",
	"m_strTable" => "stockin",
	"m_srcTableName" => "stockin"
));

$proto14["m_sql"] = "UserID";
$proto14["m_srcTableName"] = "stockin";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "stockin",
	"m_srcTableName" => "stockin"
));

$proto16["m_sql"] = "Noted";
$proto16["m_srcTableName"] = "stockin";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "stockin";
$proto19["m_srcTableName"] = "stockin";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "StockID";
$proto19["m_columns"][] = "SupplierID";
$proto19["m_columns"][] = "DateIn";
$proto19["m_columns"][] = "Totalprice";
$proto19["m_columns"][] = "UserID";
$proto19["m_columns"][] = "Noted";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "stockin";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "stockin";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stockin";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stockin = createSqlQuery_stockin();


	
		;

						

$tdatastockin[".sqlquery"] = $queryData_stockin;



$tdatastockin[".hasEvents"] = false;

?>